'''
Faz a interface entre o C e o python
armazene as ultimas 10 emissoes
'''
from Tkinter import *
import Tkinter
import os
from hmm import HMM
import numpy as np
root = Tkinter.Tk()
listbox = Listbox(root)
llist =[]


class MainWindow(Frame):
    def __init__(self, parent):
        Frame.__init__(self, parent)
        self.parent = parent
        self.parent.resizable(width = False, height = False)
        self.master.title('Interface Speech Recognition')

        self.form2 = Frame(self.parent)
        self.lblCurso = Label(self.form2, text="Palavras Idendificadas:")
        self.lblCurso.configure(font='Arial 14 bold', border=3, background='#F8F8FF')
        self.lblCurso.pack(ipadx=200,fill=BOTH, side=TOP)
        self.form2.pack(fill="both")
       
        listbox.pack(ipady=65,ipadx=62,side="left")
        self.scrollbar = Scrollbar(self.parent)
        self.scrollbar.pack(ipady="130", side="left")
        listbox.config(yscrollcommand=self.scrollbar.set)
        self.scrollbar.config(command=listbox.yview)
        

def refresh(word):
    listbox.insert(END, word)
    llist.append(word)


'''
 ajuda      1 
 socorro    2
 policia    3
 assalto    4

 1 -> 1 = 0.25
 1 -> 2 = 0.25
 1 -> 3 = 0.25
 1 -> 4 = 0.25

 2 -> 1 = 0.25
 2 -> 2 = 0.25
 2 -> 3 = 0.25
 2 -> 4 = 0.25

 3 -> 1 = 0.25
 3 -> 2 = 0.25
 3 -> 3 = 0.25
 3 -> 4 = 0.25

 4 -> 1 = 0.25
 4 -> 2 = 0.25
 4 -> 3 = 0.25
 4 -> 4 = 0.25
 '''     

def do_one_iteration():

    try:
        os.system('sh sherlock.sh 1')
        with open('out.txt', 'r') as f:
            for item in f.readlines():
                if (not (item in llist)):
                    llist.append(item)
                    refresh(item)
        
    except IOError:
        print 'ERRO AO ABRIR ARQUIVO\n'
    
    root.after(10000, do_one_iteration)

def main():
	root.geometry("300x330+100+100")
	MainWindow(root)
	root.after(1000, do_one_iteration)
	root.mainloop()


if __name__ == '__main__':
    main()

