
#ifndef __COMPARE_H__
#define __COMPARE_H__

#include "preprocessing.h"


/*
  Compara dois vetores de expressões MFCC e retorna um double 
indicando a correlação entre os vetores. Quanto menor for o valor retornado, 
mais semelhante são os dois vetores.
recebe como parametro :
  (Mfcc_frame) mfcc_frames1 O primeiro vetor com as características MFCC
  (Unsigned int) n1 O comprimento do segundo vector
  (Mfcc_frame) mfcc_frames2 O segundo vector com as características MFCC
  (Unsigned int) n2 O comprimento do segundo vector


  */
double compare(mfcc_frame *mfcc_frames1, unsigned int n1, mfcc_frame *mfcc_frames2, unsigned int n2);

#endif
