/*
Biblioteca linklist.h. Funções para manipulacao de lista encadeada.
Autores: Raiza Arteman e Willian Souza
Curso de Ciência da Computação
Universidade estadual de Mato Grosso do Sul - UEMS
*/
#ifndef __LINKLIST_H__
#define __LINKLIST_H__

#include "preprocessing.h"
#include <dirent.h>

typedef
	struct _word
	{
		mfcc_frame *frames;
		unsigned int n;
		char *name;
		struct _word *next;
	} word;


/*
Insere nova palavra no diretorio \palavras
*/
void new_word(mfcc_frame *frames, unsigned int n, char *name);


/*
Carrega a lista de palavras salvas no diretorio \palavras
recebe o nó cabeça da lista e retorna o numero de palavras carregadas
*/
int get_list(word *head);

#endif
