#include "link.h"


Inputs *copy(mfcc_frame *mfcc_frames, int n_frames, char *name){
    register int i, j;
    Inputs *n = malloc(sizeof(Inputs));
    n->num_frames = n_frames;

    n->name = malloc (strlen(name) * sizeof(char));
    strcpy(n->name, name);
    n->input = malloc (n_frames * sizeof (double));

    for(i = 0; i < n_frames; i++)
        for(j = 0; j < N_MFCC; j++)
            n->input[i].features[j] = mfcc_frames[i].features[j];
  
    return n;
}

int get_list(word *head)
{
	DIR *d = opendir("palavras");
	FILE *f = NULL;
	struct dirent *dentry = readdir(d);
	unsigned int i = 0, j = 0;
	unsigned int count = 0;

	chdir("palavras");
	while (dentry != NULL)
	{
		if (!memcmp(dentry->d_name, ".", 1))
		{
			/*enquanto houver arquivo na pasta carregar para buffer*/
			dentry = readdir(d);
			continue;
		}

		f = fopen(dentry->d_name, "r");
		head->name = malloc(strlen(dentry->d_name) + 1);
		memcpy(head->name, dentry->d_name, strlen(dentry->d_name) + 1);
		fscanf(f, "%u", &(head->n));
		head->frames = malloc(sizeof(mfcc_frame) * head->n);
		for (i = 0; i < head->n; i++)
			for (j = 0; j < N_MFCC; j++)
				fscanf(f, "%lf", &(head->frames[i].features[j]));
		fclose(f);

		dentry = readdir(d);
		count++;
		head->next = NULL;

		if (dentry != NULL && memcmp(dentry->d_name, ".", 2) && memcmp(dentry->d_name, "..", 3))
		{
			head->next = malloc(sizeof(word));
			head = head->next;

		}

	}

	chdir("..");
	return count;
}


