#ifndef __LINK_H__
#define __LINK_H__

#include <dirent.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/stat.h>

#define N 512
#define QTD_FILTER 20
#define N_MFCC QTD_FILTER 
#define OVERLAY 64

typedef struct
	{
		double features[N_MFCC];
	} mfcc_frame;


typedef
	struct _word
	{
		mfcc_frame *frames;
		unsigned int n;
		char *name;
		struct _word *next;
	} word;

typedef struct{
	mfcc_frame *input;
	int num_frames;
	char *name;
} Inputs;


void new_sample_word(word new_sample);

int get_list(word *head);

Inputs *copy(mfcc_frame *mfcc_frames, int n_frames, char *name);

#endif
